package com.interdataworking.gateway.xml;

// import java.io.*;
// import org.w3c.rdf.model.*;
// import org.w3c.rdf.syntax.*;
import edu.stanford.db.rdf.query.*;
import edu.stanford.db.rdf.query.memory.*;
import org.w3c.rdf.vocabulary.rdf_syntax_19990222.RDF;
import edu.stanford.db.rdf.vocabulary.order_20000527.RDFX;

import org.w3c.rdf.model.*;
import org.w3c.rdf.syntax.*;
import java.util.*;
import java.io.Writer;
import java.io.IOException;
import edu.stanford.db.xml.util.GenericSerializer;
import edu.stanford.db.rdf.query.orderings.*;

public class RDF2XML2 extends RDF2XML {

  public XMLVocabulary R = new XMLVocabulary();

  public QueryIterator[] Q_ROOT_LOCAL = {
    new FindIterator("E", RDF.type, R.XMLDOM),
    new FindIterator("E", R.tagName, "N"),
    new OptionalIterator(new FindIterator("E", R.cdata, "TXT")),
    new OptionalIterator(new FindIterator("E", R.usesNamespace, "NS"))
  };

  public QueryIterator[] Q_CHILDREN_ = {
    new FindIterator("P", R.child, "E", "S"),
    new FindIterator("E", R.tagName, "N"),
    new OptionalIterator(new FindIterator("E", R.cdata, "TXT"))
  };
  public QueryIterator Q_CHILDREN_LOCAL = new OrderIterator(new JoinIterator(Q_CHILDREN_),
						     new ByOrderProperty("S"));

  public QueryIterator[] Q_ATTR_LOCAL_ = {
    new FindIterator("P", "ATT", "VAL")
    //    new NegatedIterator(new FindIterator("P", R.CHILD, "VAL"))
  };

  QueryIterator Q_ATTR_LOCAL = new OrderIterator(new JoinIterator(Q_ATTR_LOCAL_),
  						 new Lexicographic("ATT"));

  public RDF2XML2() {
    Q_ROOT = Q_ROOT_LOCAL;
    Q_CHILDREN = Q_CHILDREN_LOCAL;
    Q_ATTR = Q_ATTR_LOCAL;
  }

}
