package com.interdataworking.mm.alg;

import com.interdataworking.mm.NodeFilter;
import org.w3c.rdf.model.*;
import com.interdataworking.gateway.sqlddl.*;
import java.util.*;
import org.w3c.rdf.vocabulary.rdf_syntax_19990222.RDF;
import org.w3c.rdf.vocabulary.rdf_schema_19990303.RDFS;

// ignore everything apart of Tables, Columns, Keys and ReferentialConstraints

public class ResourceNodeFilter implements NodeFilter {

  public boolean filterOutNode(RDFNode n) {

    return !(n instanceof Resource && !(n instanceof Statement));
  }
}
