package edu.stanford.db.rdf.query;

import org.w3c.rdf.model.*;
import java.util.*;

/**
 * Compares two Maps, i.e. variable substitutions.
 *
 * @see edu.stanford.db.rdf.query.memory.OrderIterator
 *
 */
public interface SubstitutionComparator {

  /**
   * Semantics just as that of <tt>java.util.Comparator</tt>.
   * Model <tt>m</tt> may be <tt>null</tt>
   *
   */
  int compare(Map s1, Map s2, Model m) throws ModelException;
}
