package com.interdataworking;

import org.w3c.rdf.model.*;
import java.util.*;

/**
 * Implements language-specific operations
 */

public interface LanguageCallback {

  public boolean isCallbackFor(Model m) throws ModelException;

  public List getDependencies(Model m) throws ModelException;

  public Model select(Model m, Set nodes) throws ModelException;

  public Set all(Model m) throws ModelException;

  public UntypedGateway defaultSerializer() throws ModelException;

  public Collection getConstraints() throws ModelException;
}
