package com.interdataworking.mm.gui;

import javax.swing.*;

import com.interdataworking.*;
import com.interdataworking.mm.*;
import com.interdataworking.mm.alg.*;
import org.w3c.rdf.model.*;
import org.w3c.rdf.util.*;
import java.util.*;

public class YesNo implements UntypedGateway {

  public List execute(List input) throws ModelException {

    String winTitle = (String)input.get(0);

    int option = JOptionPane.showConfirmDialog(new JFrame(), winTitle, winTitle, JOptionPane.YES_NO_OPTION);
    List result = new ArrayList();
    result.add(new Boolean(option == JOptionPane.YES_OPTION));
    //    result.add(MapPair.asModel(forEmpty, MapPair.replacementMap(this.map.values())));

    return result;
  }

  public int getMinInputLen() { return 1; }

  public int getMaxInputLen() { return 1; } // winTitle

  public int getMinOutputLen() { return 1; } // boolean

  public int getMaxOutputLen() { return 1; }

  public static void main(String[] args) throws Exception {

    List l = new ArrayList();
    l.add("Yes or No?");
    new YesNo().execute(l);
  }
}
