package com.interdataworking.mm.interpreter;

import org.w3c.rdf.model.*;

public interface IOPlugIn {

    public void configDB(String dbDriver, String dbURI, String dbUser, String dbPwd);

    public Model readModel(String name) throws ModelException;

    public void writeModel(String name, Model m) throws ModelException;

    public void cleanup();
}
